Decide seat tracking limit request
curl --request POST \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"decision": "approve"
}
'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/decision"
payload = { "decision": "approve" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({decision: 'approve'})
};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/decision"
payload := strings.NewReader("{\n \"decision\": \"approve\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"request": {
"id": "req_abc",
"budgetId": "budget-1",
"requestNumber": 1,
"displayKey": "ENG-1",
"userId": "user-1",
"requestedByUserId": "user-1",
"currentLimit": 50,
"proposedLimit": 100,
"appliedLimit": 100,
"justification": "Need more headroom for Q3 projects.",
"origin": "self",
"durationIntent": "ongoing",
"reviewAgainOn": null,
"status": "approved",
"decidedByUserId": "user-2",
"decidedAt": "2026-07-17T12:00:00.000Z",
"contextSnapshot": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"externalLinks": []
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Seat Tracking
Decide seat tracking limit request
Approve, request changes, close, or reject a limit request.
POST
https://api.nops.io
/
v1
/
seat-tracking
/
projects
/
{projectId}
/
requests
/
{requestId}
/
decision
Decide seat tracking limit request
curl --request POST \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"decision": "approve"
}
'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/decision"
payload = { "decision": "approve" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({decision: 'approve'})
};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/decision"
payload := strings.NewReader("{\n \"decision\": \"approve\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"request": {
"id": "req_abc",
"budgetId": "budget-1",
"requestNumber": 1,
"displayKey": "ENG-1",
"userId": "user-1",
"requestedByUserId": "user-1",
"currentLimit": 50,
"proposedLimit": 100,
"appliedLimit": 100,
"justification": "Need more headroom for Q3 projects.",
"origin": "self",
"durationIntent": "ongoing",
"reviewAgainOn": null,
"status": "approved",
"decidedByUserId": "user-2",
"decidedAt": "2026-07-17T12:00:00.000Z",
"contextSnapshot": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"externalLinks": []
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Seat tracking project ID
Limit request ID
Body
application/json
Response
Decide seat tracking limit request
JSON object
Was this page helpful?
⌘I